Skip to main content
POST
/
api
/
omnichannel
/
send-shared
Enviar email desde bandeja compartida
curl --request POST \
  --url https://api.raul.ugps.io/api/omnichannel/send-shared \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": [
    "<string>"
  ],
  "subject": "<string>",
  "body": "<string>",
  "shared_mailbox_id": "<string>",
  "cc": [
    "<string>"
  ],
  "attachments": [
    {
      "name": "<string>",
      "contentType": "<string>",
      "contentBytes": "<string>"
    }
  ]
}
'
import requests

url = "https://api.raul.ugps.io/api/omnichannel/send-shared"

payload = {
    "to": ["<string>"],
    "subject": "<string>",
    "body": "<string>",
    "shared_mailbox_id": "<string>",
    "cc": ["<string>"],
    "attachments": [
        {
            "name": "<string>",
            "contentType": "<string>",
            "contentBytes": "<string>"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    to: ['<string>'],
    subject: '<string>',
    body: JSON.stringify('<string>'),
    shared_mailbox_id: '<string>',
    cc: ['<string>'],
    attachments: [{name: '<string>', contentType: '<string>', contentBytes: '<string>'}]
  })
};

fetch('https://api.raul.ugps.io/api/omnichannel/send-shared', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
to
string[]
required
subject
string
required
body
string
required
shared_mailbox_id
string
required

ID de la bandeja compartida

cc
string[]
attachments
object[]
send_mode
enum<string>

Modo de envío

Available options:
send_as,
on_behalf_of

Response

201 - undefined